module Sidekiq
  module CircuitBreaker
    class Configuration
      attr_reader :scope

      attr_accessor :failure_threshold
      attr_accessor :max_open_time

      def initialize
        self.failure_threshold = 7
        self.max_open_time     = 120
      end

      def set_scope(identifier = nil)
        @scope = identifier
      end
    end
  end
end
