require 'sidekiq/circuit_breaker/middleware/client'
require 'sidekiq/circuit_breaker/middleware/server'

Sidekiq.configure_client do |config|
  config.client_middleware do |chain|
    chain.add Sidekiq::CircuitBreaker::Middleware::Client
  end
end

Sidekiq.configure_server do |config|
  config.client_middleware do |chain|
    chain.add Sidekiq::CircuitBreaker::Middleware::Client
  end
  config.server_middleware do |chain|
    chain.add Sidekiq::CircuitBreaker::Middleware::Server
  end
end
